Page MenuHomePhabricator

VE - wrong info for "Table of contents" - limit is 4, not 3
Closed, ResolvedPublic1 Story Points

Description

Currently the (i) in Visual Editor "Page settings" for the Table of Contents setting reads:

  • "You can force a table of contents that lists each heading on the page to appear on pages with fewer than THREE headings, or force it to not appear at all. By default, it will appear if the page has THREE or more headings."

Afaik, this should be "four" instead of "three" in both instances. According to WP:TOC and a quick test on en-Wiki, the minimum limit to display the ToC by default is 4 headers (regardless of their header level apparently), not 3.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2017, 5:12 AM
Jdforrester-WMF triaged this task as Lowest priority.May 30 2017, 7:27 PM
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.

Change 356618 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Correct numbers in visualeditor-dialog-meta-settings-toc-help

https://gerrit.wikimedia.org/r/356618

Jdforrester-WMF closed this task as Resolved.Jun 1 2017, 5:36 PM
Jdforrester-WMF assigned this task to DLynch.
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 1 2017, 5:36 PM

Change 356618 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Correct numbers in visualeditor-dialog-meta-settings-toc-help

https://gerrit.wikimedia.org/r/356618